/*
 * SBKeyHook: StompBox/KeyHook アプリケーションメインクラス 
 */

package org.dbc_works.app.sbkeyhook;

import org.dbc_works.lib.util.Utilities;

public final class SBKeyHook
{
	//
	// クラスメソッド(公開)
	//

	// 例外を報告する
	public static void reportException(
		Exception ex)	// 報告対象例外
	{
		if (ex == null) {
			throw new NullPointerException();
		}

		Utilities.reportException("StompBox/KeyHook", ex);
	}
	
	// エントリ
	public static void main(
		String[] args)	// 起動引数
	{
		try {
			final MainFrame frame = MainFrame.getInstance();
			if (frame.initialize(args, true)) {
				frame.show();
			}
			else {
				System.exit(1);
			}
		}
		catch (Exception ex) {
			Utilities.reportException("StompBox/KeyHook", ex);
			System.exit(1);
		}
	}
}
