/*
 * CommonLabelManager: 
 */
package org.dbc_works.lib.ui;

import java.util.Properties;

public final class CommonLabelManager extends org.dbc_works.lib.ui.LabelManager
{
	//
	// 定数
	//
	public static final String OK	="OK";
	public static final String CANCEL	="Cancel";

	//
	// クラスメソッド(公開)
	//

	// プロパティセットを返す
	public static Properties getProperties()
	{
		return getProperties("CommonLabel.properties");
	}

	// 
	public static String getLabel(
		String strKey)	//
	{
		if (strKey == null) {
			throw new NullPointerException();
		}
		else if (strKey.length() == 0) {
			throw new IllegalArgumentException();
		}

		String strLabel;
		try {
			Properties commonLabel = getProperties();
			strLabel = (commonLabel != null ? commonLabel.getProperty(strKey) : strKey);
		}
		catch (Exception exp) {
			strLabel = strKey;
		}
		return strLabel;
	}

	//
	// コンストラクタ
	//
	private CommonLabelManager()
	{
	}
}
