/*
 * GridBagUtilities: 
 */
package org.dbc_works.lib.ui;

import java.awt.Component;
import java.awt.Container;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

public final class GridBagUtilities
{
	//
	// クラスメソッド(公開)
	//
	
	// シンプルなテーブル形式のコンテナを作成する
	public static Container createSimpleTableStyleContainer(
		GridBagConstraints[] columnConst,	// 列の制約
		Component[][] components)			// 設定コンポーネント
	{
		final Container container = new Container();
		container.setLayout(new GridBagLayout());
		
		for (int row = 0;row < components.length; row++) {
			for (int column = 0; column < columnConst.length; column++) {
				container.add(components[row][column], columnConst[column]);
				columnConst[column].gridy++;
			}
		}
		
		return container;
	}
	
	//
	// コンストラクタ
	//
	private GridBagUtilities()
	{
	}
}
