/*
 * DialogUtilities: 
 */
package org.dbc_works.lib.ui.swing;

import java.awt.Container;
import java.awt.GridLayout;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;

import org.dbc_works.lib.ui.CommonLabelManager;

public final class DialogUtilities
{
	//
	// クラスメソッド(公開
	//

	// OKボタンを作成する
	public static JButton createOkButton(
		ActionListener listener)	// アクションリスナー
	{
		if (listener == null) {
			throw new NullPointerException();
		}
		
		final JButton button = new JButton(CommonLabelManager.getLabel(CommonLabelManager.OK));
		button.addActionListener(listener);
		return button;
	}
	
	// キャンセルボタンを作成する
	public static JButton createCancelButton(
		ActionListener listener)	// アクションリスナー
	{
		if (listener == null) {
			throw new NullPointerException();
		}
		
		final JButton button = new JButton(CommonLabelManager.getLabel(CommonLabelManager.CANCEL));
		button.addActionListener(listener);
		return button;
	}
	
	//
	public static Container createResponseButtonContainer(
		JButton[] buttons)	//
	{
		if (buttons == null) {
			throw new NullPointerException();
		}
		else if (buttons.length == 0) {
			throw new IllegalArgumentException();
		}

		Container panel = new JPanel();
		panel.setLayout(new GridLayout(1, buttons.length));
		for (int nIndex = 0; nIndex < buttons.length; nIndex++) {
			panel.add(buttons[nIndex]);
		}
		return panel;
	}

	//
	// コンストラクタ
	//

	private DialogUtilities()
	{
	}
}
