/*
 * ImplementerUtilities: 
 */
package org.dbc_works.lib.ui.swing;

import java.util.Iterator;
import java.util.List;
import java.util.HashMap;
import java.util.Map;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JRadioButtonMenuItem;

import org.dbc_works.lib.ui.swing.LookAndFeelUtilities;

public final class ImplementerUtilities
{
	//
	// フィールド
	//
	
	private List lafMenuItems;

	//
	// コンストラクタ
	//
	public ImplementerUtilities()
	{
	}
	
	//
	// 操作
	//

	// 見た目切り替えメニュー項目を設定する
	public boolean setLookAndFeelSelectionMenuItems(
		JFrame frame,	// フレーム
		JMenu menu)		// 追加対象メニュー
	{
		if (frame == null) {
			throw new NullPointerException();
		}
		if (menu == null) {
			throw new NullPointerException();
		}
		
		final List list = LookAndFeelUtilities.createSelectionMenuItems(frame);
		if (1 < list.size()) {
			lafMenuItems = list;

			if (0 < menu.getItemCount()) {
				menu.addSeparator();
			}

			final Iterator it = lafMenuItems.iterator();
			while (it.hasNext()) {
				menu.add((JRadioButtonMenuItem)it.next());
			}
		}
		
		return 1 < list.size();
	}

	// 追加の状態を設定する
	public void setAdditionalState(
		Map properties)	// 状態プロパティ
	{
		if (properties == null) {
			throw new IllegalArgumentException();
		}

		if (lafMenuItems != null) {
			LookAndFeelUtilities.setMenuItemState(properties, lafMenuItems);
		}
	}

	// 追加の状態を返す
	public Map getAdditionalState()
	{
		return lafMenuItems != null
				? LookAndFeelUtilities.getMenuItemState(lafMenuItems)
				: new HashMap();
	}
}
