/*
 * Utilities: 各種ユーティリティ
 */
package org.dbc_works.lib.util;

public final class Utilities
{
	//
	// クラスメソッド(公開)
	//

	// 標準エラー出力にメッセージを出力する
	public static void reportToError(
		String strPrefix,	// 前置文字列 
		String strMessage)	// 報告する例外
	{
		if (strMessage == null) {
			throw new NullPointerException();
		}
		else if (strMessage.length() == 0) {
			throw new IllegalArgumentException();
		}

		final StringBuffer sb = new StringBuffer();
		sb.append(strPrefix);
		sb.append(": ");
		sb.append(strMessage);
		System.err.println(sb.toString());
	}

	// 例外を報告する
	public static void reportException(
		String strPrefix,	// 前置文字列 
		Exception e)		// 報告する例外
	{
		if (strPrefix == null) {
			throw new NullPointerException();
		}
		if (e == null) {
			throw new NullPointerException();
		}
		
		reportToError(strPrefix, "Exception raised - " + e.toString());
		e.printStackTrace(System.err);
		reportToError(strPrefix, "Message - " + e.getMessage());
	}

	//
	// コンストラクタ
	//
	private Utilities()
	{
	}
}
